| Recurso | Descripción |
|---|---|
| Applications | |
| Clients | |
| Product Orders |
| Recurso | Descripción |
|---|---|
| Applications | |
| Clients | |
| Product Orders |
Returns the information of the application and the associated client.
PATH PARAMETERS
OK Successful operation
{
"appOwnerId": "string",
"client": {
"appClientId": "string"
}
} | Property | Type | Description | Constraints | Default | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
appOwnerId | string | AppOwner identifier. | ||||||||||||
client | object | |||||||||||||
| ||||||||||||||
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Creates an application and a client in AuthN.
PATH PARAMETERS
{
"appOwnerName": "string",
"appOwnerEmail": "user@example.com",
"appOwnerDescription": "string",
"appClientSecret": "string",
"appClientRedirectURL": [
"https://example.com"
],
"appClientDisplayName": "string",
"appClientSystemName": "string",
"appClientJwksUri": "https://example.com"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
appOwnerName
*
| string | The Aggregator Name plus the AppOwner ID. | ||
appOwnerEmail | string (email) | The AppOwner's contactMedium.emailAddress. | ||
appOwnerDescription
*
| string | Trading Name, organizationType and tax Number. | ||
appClientSecret
*
| string | Application Client Secret. | ||
appClientRedirectURL | string (uri)[] | Application redirectURL. | ||
appClientDisplayName
*
| string | Application commercialName. | pattern: ^[^_]*$ | |
appClientSystemName
*
| string | Application systemName. | ||
appClientJwksUri | string (uri) | Application Client jwks Uri. |
OK Successful operation
{
"appOwnerId": "string",
"client": {
"appClientId": "string"
}
} | Property | Type | Description | Constraints | Default | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
appOwnerId | string | AppOwner identifier. | ||||||||||||
client | object | |||||||||||||
| ||||||||||||||
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Creates a new application in AuthN without creating a client
{
"id": "app123",
"name": "My Application",
"email": "contact@example.com",
"description": "Application for testing purposes"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id
*
| string | Application identifier | ||
name
*
| string | Application name | ||
email | string (email) | Contact email (defaults to gcp-mm-open-gateway@masorange.es if not provided) | ||
description
*
| string | Application description |
Created Application created successfully
{
"id": "app123"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | Application identifier |
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Conflict Conflict - Resource already exists
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Returns the information of an application
PATH PARAMETERS
OK Successful operation
{
"id": "app123",
"name": "My Application",
"email": "contact@example.com",
"description": "Application for testing purposes"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | Application identifier | ||
name | string | Application name | ||
email | string (email) | Contact email | ||
description | string | Application description |
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Not Found Resource not found
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Updates an existing application
PATH PARAMETERS
{
"email": "newemail@example.com",
"description": "Updated description"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
email | string (email) | Updated contact email | ||
description | string | Updated application description |
OK Application updated successfully
{
"id": "app123",
"name": "My Application",
"email": "contact@example.com",
"description": "Application for testing purposes"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | Application identifier | ||
name | string | Application name | ||
email | string (email) | Contact email | ||
description | string | Application description |
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Not Found Resource not found
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Deletes an existing application
PATH PARAMETERS
No Content Application deleted successfully
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Not Found Resource not found
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Create a new product order by specifying the scope and purpose of the API to be consumed
PATH PARAMETERS
{
"scope": "string",
"purpose": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
scope
*
| string | Defines the scope of the API. | ||
purpose
*
| string | Defines the purpose of the API. |
Created Successful operation
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Creates a new OAuth client linked to an existing application
{
"id": "client123",
"applicationId": "app123",
"secret": "my-secret-key",
"redirectUrl": [
"https://example.com/callback"
],
"displayName": "My Client",
"systemName": "prod",
"jwksUri": "https://example.com/.well-known/jwks.json"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id
*
| string | Client identifier | ||
applicationId
*
| string | Application ID to link this client to | ||
secret
*
| string | Client secret for OAuth | ||
redirectUrl | string (uri)[] | OAuth redirect URLs | ||
displayName
*
| string | Human-readable client name (no underscores) | pattern: ^[^_]*$ | |
systemName
*
| string | Technical client name suffix | ||
jwksUri | string (uri) | JWKS URI for public key management |
Created Client created successfully
{
"id": "client123"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | Client identifier |
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Not Found Resource not found
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Conflict Conflict - Resource already exists
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Returns the information of an OAuth client
PATH PARAMETERS
OK Successful operation
{
"id": "client123",
"applicationId": "app123",
"displayName": "My Client",
"systemName": "prod",
"grantTypes": [
"authorization_code",
"urn:openid:params:grant-type:ciba"
],
"redirectUrl": [
"https://example.com/callback"
],
"type": "customers",
"provider": "camara",
"jwksUri": "https://example.com/.well-known/jwks.json",
"scopes": [
"dpv dpv:FraudPreventionAndDetection#number-verification-verify-read"
],
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | Client identifier | ||
applicationId | string | Linked application ID | ||
displayName | string | Human-readable client name | ||
systemName | string | Technical name suffix | ||
grantTypes | string[] | OAuth grant types | ||
redirectUrl | string[] | OAuth redirect URLs | ||
type | string | Client type (always "customers") | ||
provider | string | Provider type (always "camara") | ||
jwksUri | string | JWKS URI | ||
scopes | string[] | OAuth scopes (format "purpose scope1 scope2") | ||
createdAt | string (date-time) | Creation timestamp | ||
updatedAt | string (date-time) | Last update timestamp |
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Not Found Resource not found
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Updates an existing OAuth client (scopes are immutable and managed via product orders)
PATH PARAMETERS
{
"displayName": "Updated Client Name",
"systemName": "staging",
"redirectUrl": [
"https://example.com/new-callback"
],
"jwksUri": "https://example.com/.well-known/new-jwks.json"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
displayName | string | Updated human-readable name | pattern: ^[^_]*$ | |
systemName | string | Updated technical name suffix | ||
redirectUrl | string (uri)[] | Updated redirect URLs | ||
jwksUri | string (uri) | Updated JWKS URI |
OK Client updated successfully
{
"id": "client123",
"applicationId": "app123",
"displayName": "My Client",
"systemName": "prod",
"grantTypes": [
"authorization_code",
"urn:openid:params:grant-type:ciba"
],
"redirectUrl": [
"https://example.com/callback"
],
"type": "customers",
"provider": "camara",
"jwksUri": "https://example.com/.well-known/jwks.json",
"scopes": [
"dpv dpv:FraudPreventionAndDetection#number-verification-verify-read"
],
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | Client identifier | ||
applicationId | string | Linked application ID | ||
displayName | string | Human-readable client name | ||
systemName | string | Technical name suffix | ||
grantTypes | string[] | OAuth grant types | ||
redirectUrl | string[] | OAuth redirect URLs | ||
type | string | Client type (always "customers") | ||
provider | string | Provider type (always "camara") | ||
jwksUri | string | JWKS URI | ||
scopes | string[] | OAuth scopes (format "purpose scope1 scope2") | ||
createdAt | string (date-time) | Creation timestamp | ||
updatedAt | string (date-time) | Last update timestamp |
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Not Found Resource not found
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Deletes an existing OAuth client
PATH PARAMETERS
No Content Client deleted successfully
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Not Found Resource not found
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Returns a list of product orders with optional filters for application ID, client ID, status, scope, purpose, and creation date range. Supports pagination with page and size parameters.
QUERY PARAMETERS
Application identifier
Client identifier
Global product order status
Scope filter
Purpose filter
Created from (inclusive)
Created to (inclusive)
OK List of product orders
{
"productOrders": [
{
"id": "string",
"applicationId": "string",
"clientId": "string",
"scope": "string",
"purpose": "string",
"status": "string",
"createdAt": "2025-01-15T10:30:00Z",
"finishedAt": "2025-01-15T10:30:00Z"
}
],
"total": 0,
"page": 0,
"size": 0
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
productOrders | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
total | integer | ||||||||||||||||||||||||||||||||||||||||||||||||
page | integer | ||||||||||||||||||||||||||||||||||||||||||||||||
size | integer | ||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Creates a product order to enable a scope for an application/client combination
{
"application_id": "066CRypjNZHx2WZMRk7g",
"client_id": "D6XWjIKFLYTN2XDNqdft",
"scope": "device-swap",
"purpose": "dpv:FraudPreventionAndDetection"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
application_id
*
| string | Application (app owner) identifier | ||
client_id
*
| string | Client identifier | ||
scope
*
| string | Scope to enable | ||
purpose | string | Purpose of the data processing |
Created Product order created successfully
{
"id": "string",
"status": "PENDING"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | Product order identifier | ||
status | string | Product order status |
Bad Request Problem with the client request
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Returns product order data from getProductOrder and composes tenantStatuses from listProductOrderStatus
PATH PARAMETERS
OK Product order detail
{
"id": "string",
"applicationId": "string",
"clientId": "string",
"scope": "string",
"purpose": "string",
"status": "string",
"tenantStatuses": [
{
"id": "string",
"tenant": "string",
"status": "string"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | string | Product order identifier | ||||||||||||||||||||||
applicationId | string | |||||||||||||||||||||||
clientId | string | |||||||||||||||||||||||
scope | string | |||||||||||||||||||||||
purpose | string | |||||||||||||||||||||||
status | string | Global status for the product order | ||||||||||||||||||||||
tenantStatuses | object[] | |||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Forbidden Client does not have sufficient permission.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Not Found Resource not found
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Internal Server Error Server error
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Service Unavailable Service unavailable. Typically the server is down.
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |
Gateway Timeout Request time exceeded. If it happens repeatedly, consider reducing the request complexity
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code of the error | ||
title
*
| string | title of the error | ||
ref
*
| string | ref of the error | ||
details
*
| string | details of the error |